--- docbook-xsl-1.78.1/fo/pagesetup.xsl.~1~	2015-06-12 17:47:16.844739766 +0300
+++ docbook-xsl-1.78.1/fo/pagesetup.xsl	2015-06-12 17:52:08.966301499 +0300
@@ -2622,7 +2622,6 @@
 
       <fo:table-column column-number="1">
         <xsl:attribute name="column-width">
-          <xsl:text>proportional-column-width(</xsl:text>
           <xsl:call-template name="header.footer.width">
             <xsl:with-param name="location">header</xsl:with-param>
             <xsl:with-param name="position" select="$column1"/>
@@ -2630,12 +2629,11 @@
             <xsl:with-param name="sequence" select="$sequence"/>
             <xsl:with-param name="gentext-key" select="$gentext-key"/>
           </xsl:call-template>
-          <xsl:text>)</xsl:text>
+          <xsl:text>%</xsl:text>
         </xsl:attribute>
       </fo:table-column>
       <fo:table-column column-number="2">
         <xsl:attribute name="column-width">
-          <xsl:text>proportional-column-width(</xsl:text>
           <xsl:call-template name="header.footer.width">
             <xsl:with-param name="location">header</xsl:with-param>
             <xsl:with-param name="position" select="2"/>
@@ -2643,12 +2641,11 @@
             <xsl:with-param name="sequence" select="$sequence"/>
             <xsl:with-param name="gentext-key" select="$gentext-key"/>
           </xsl:call-template>
-          <xsl:text>)</xsl:text>
+          <xsl:text>%</xsl:text>
         </xsl:attribute>
       </fo:table-column>
       <fo:table-column column-number="3">
         <xsl:attribute name="column-width">
-          <xsl:text>proportional-column-width(</xsl:text>
           <xsl:call-template name="header.footer.width">
             <xsl:with-param name="location">header</xsl:with-param>
             <xsl:with-param name="position" select="$column3"/>
@@ -2656,7 +2653,7 @@
             <xsl:with-param name="sequence" select="$sequence"/>
             <xsl:with-param name="gentext-key" select="$gentext-key"/>
           </xsl:call-template>
-          <xsl:text>)</xsl:text>
+          <xsl:text>%</xsl:text>
         </xsl:attribute>
       </fo:table-column>
 
@@ -2967,7 +2964,6 @@
       </xsl:call-template>
       <fo:table-column column-number="1">
         <xsl:attribute name="column-width">
-          <xsl:text>proportional-column-width(</xsl:text>
           <xsl:call-template name="header.footer.width">
             <xsl:with-param name="location">footer</xsl:with-param>
             <xsl:with-param name="position" select="$column1"/>
@@ -2975,12 +2971,11 @@
             <xsl:with-param name="sequence" select="$sequence"/>
             <xsl:with-param name="gentext-key" select="$gentext-key"/>
           </xsl:call-template>
-          <xsl:text>)</xsl:text>
+          <xsl:text>%</xsl:text>
         </xsl:attribute>
       </fo:table-column>
       <fo:table-column column-number="2">
         <xsl:attribute name="column-width">
-          <xsl:text>proportional-column-width(</xsl:text>
           <xsl:call-template name="header.footer.width">
             <xsl:with-param name="location">footer</xsl:with-param>
             <xsl:with-param name="position" select="2"/>
@@ -2988,12 +2983,11 @@
             <xsl:with-param name="sequence" select="$sequence"/>
             <xsl:with-param name="gentext-key" select="$gentext-key"/>
           </xsl:call-template>
-          <xsl:text>)</xsl:text>
+          <xsl:text>%</xsl:text>
         </xsl:attribute>
       </fo:table-column>
       <fo:table-column column-number="3">
         <xsl:attribute name="column-width">
-          <xsl:text>proportional-column-width(</xsl:text>
           <xsl:call-template name="header.footer.width">
             <xsl:with-param name="location">footer</xsl:with-param>
             <xsl:with-param name="position" select="$column3"/>
@@ -3001,7 +2995,7 @@
             <xsl:with-param name="sequence" select="$sequence"/>
             <xsl:with-param name="gentext-key" select="$gentext-key"/>
           </xsl:call-template>
-          <xsl:text>)</xsl:text>
+          <xsl:text>%</xsl:text>
         </xsl:attribute>
       </fo:table-column>
 
